var songBlockSelector     = 'song-with-chords';
var songTitleSelector     = 'song-title';
var songComposerSelector  = 'song-composer';
var songChordSelector     = 'song-chord';
var songChordLineSelector = 'song-chords';

function Singer (song) {
  "use strict";

  var notChordsFilter = (/[I-Z]|[А-Я]|[а-я]|c|[e-h]|k|l|[n-r]|t|[v-z]|'|\.|\?|!|:|;|\-/g);
  var coloredSong = "";

  this.init = function () {
      addClass(song);
      displayColoredSong(coloredSong);
  };

  function addClass (song) {
      var text = song.innerHTML;
      var lines = text.split(/\n/g);

      findTitle(lines);
      findAuthor(lines);
      findChords(lines);

      coloredSong = lines.join("\n");
  }

  function findTitle (lines) {
      if (lines[0].match(notChordsFilter) !== null) {
          lines[0] = "<span class='" + songTitleSelector + "'>" + lines[0] + "</span>";
      }
  }

  function findAuthor (lines) {
      if (lines[1] !== "" && lines[0].search(songTitleSelector) !== -1) {
          lines[1] = "<span class='" + songComposerSelector + "'>" + lines[1] + "</span>";
      }
  }

  function findChords (lines) {
      for (var i = 0; i < lines.length; i++) {
          if (lines[i].match(notChordsFilter) === null && lines[i] !== "") {

            var singleChords = lines[i].split(" ");
            console.log(singleChords);
            for (var i2 = 0; i2 < singleChords.length; i2++) {
              if (singleChords[i2]) {
                singleChords[i2] = '<span class="' + songChordSelector + '">' + singleChords[i2] + '</span>';
              }
            }
              lines[i] = singleChords.join(" ");
              lines[i] = "<span class='" + songChordLineSelector + "'>" + lines[i] + "</span>";
          }
      }
  }

  function displayColoredSong (coloredSong) {
      song.innerHTML = coloredSong;
  }
}

(function () {
  var songs = document.querySelectorAll('.' + songBlockSelector);

  for (var i = 0; i < songs.length; i++) {
      var singer = new Singer(songs[i]);
      singer.init();
  }
})();
